Add apexlake CI script 39/7439/3
authorJo¶rgen Karlsson <jorgen.w.karlsson@ericsson.com>
Wed, 20 Jan 2016 12:33:42 +0000 (13:33 +0100)
committerJo¶rgen Karlsson <jorgen.w.karlsson@ericsson.com>
Wed, 20 Jan 2016 12:36:49 +0000 (13:36 +0100)
Signed-off-by: Jo¶rgen Karlsson <jorgen.w.karlsson@ericsson.com>
Change-Id: I5dcd45692938afddadbf17650c96fddf1f99dce7

ci/apexlake-verify [new file with mode: 0755]

diff --git a/ci/apexlake-verify b/ci/apexlake-verify
new file mode 100755 (executable)
index 0000000..81c532b
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2015 Ericsson AB and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+DPDK_HOST=10.118.36.130
+
+YARDSTICK=/home/user/yardstick
+TESTSUITE=$YARDSTICK/tests/opnfv/test_suites/opnfv_vTC_daily.yaml
+
+commands="
+cd $YARDSTICK
+source /home/user/openrc.dasm
+sudo -E yardstick task start --suite $TESTSUITE"
+
+echo "$commands" | ssh -l user $DPDK_HOST 'bash -s'
+exit $?